MetadataSource (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.mapping
Enum MetadataSource

    java.lang.Object
      java.lang.Enum<MetadataSource>
          org.hibernate.mapping.MetadataSource

All Implemented Interfaces:
  Serializable, Comparable<MetadataSource>

    public enum MetadataSource

extends Enum<MetadataSource>

Enumeration of the known places from which a piece of metadata may come.

Enum Constant Summary
`ANNOTATIONS`
`HBM`
`OTHER`

Method Summary
`static MetadataSource` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetadataSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HBM

    public static final MetadataSource HBM

### ANNOTATIONS

    public static final MetadataSource ANNOTATIONS

### OTHER

    public static final MetadataSource OTHER

Method Detail

### values

    public static MetadataSource[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MetadataSource c : MetadataSource.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MetadataSource valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.